const app = getApp()
import {
    Base
} from '../../../utils/base.js';
const base = new Base()
Page({

    data: {
        showCoach: false,
        user_id: '',
        role_type: '2',
        
        gender: [
            {
				key : 1,
				value: '女',
				icon: 'https://wdty.xueyoubangedu.com/wandou/sexUnselected.png',
				iconActive: 'https://wdty.xueyoubangedu.com/wandou/sexSelected.png'
			},
			{
				key: 2,
				value: '男',
				icon: 'https://wdty.xueyoubangedu.com/wandou/sexUnselected.png',
				iconActive: 'https://wdty.xueyoubangedu.com/wandou/sexSelected.png'
			},
        ],
        selectedIndex: '',
        name: '',
        telPhone: '',
        age: '',
        subject: '',
        major: '',
        certificate: ''
    },

    onLoad: function (options) {
        this.setData({
            user_id: wx.getStorageSync('userInfo').id
        })
    },
    // 性别选择
    gender: function (e) {
        var key = e.currentTarget.dataset.key;
        this.setData({
            selectedIndex: key,
        })
    },
    showPopup() {
        this.setData({
            showCoach: true
        })
    },
    Close() {
        this.setData({
            showCoach: false
        })
    },
    name(e) {
        this.setData({
            name: e.detail
        })
    },
    tel(e) {
        this.setData({
            telPhone: e.detail
        })
    },
    age(e) {
        this.setData({
            age: e.detail
        })
    },
    subject(e) {
        this.setData({
            subject: e.detail
        })
    },
    major(e) {
        this.setData({
            major: e.detail
        })
    },
    certificate(e) {
        this.setData({
            certificate: e.detail
        })
    },

    getPhoneNumber: function (e) {
        var that = this
        if (e.detail.errMsg == 'getPhoneNumber:ok') {
            let params = {
                url: 'user/switchPhone',
                data: {
                    encryptedData: e.detail.encryptedData,
                    iv: e.detail.iv
                },
                type: "POST",
                callback: (data) => {
                    this.setData({
                        telPhone: data.phoneNumber,
                        showCoach : true
                    })
                    app.globalData.userTel = data.phoneNumber
                    wx.setStorageSync('userTel', data.phoneNumber)
                },
            }
            base.newRequest(params)
        } else {
            base.toast('授权失败，无法查看')
            this.setData({
                telPhone: ''
            })
        }
    },
    apply() {
        if(this.data.name == '' || this.data.name == undefined){
			base.toast('真实姓名不能为空')
			return
        }
        if(this.data.selectedIndex == '' || this.data.selectedIndex == undefined){
            base.toast('性别不能为空')
            return
        }
        const reg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
		if (!this.data.telPhone) {
			base.toast('请输入手机号')
			return
		}
		if (!reg.test(this.data.telPhone)) {
			base.toast('手机号格式不正确')
			return
        }
		if(this.data.age == '' || this.data.age == undefined){
            base.toast('年龄不能为空')
            return
        }
        if( this.data.subject == '' || this.data.subject == undefined){
            base.toast('擅长科目不能为空')
            return
        }
        let params = {
            url: 'apply',
            type: 'POST',
            data: {
                role_type: this.data.role_type,
                mobile: this.data.telPhone,
                true_name: this.data.name,
                sex: this.data.selectedIndex,
                age: this.data.age,
                subject: this.data.subject,
                major: this.data.major,
                certificate: this.data.certificate
            },
            callback: (data) => {
                wx.redirectTo({
                    url: '/pages/sign/applyResult/applyResult?type=success',
                })
            },
            confirmback: () => {
                wx.redirectTo({
                    url: '/pages/sign/applyResult/applyResult?type=fail',
                })
            }
        }
        base.newRequest(params)
    }
})